
-- 顶级目录sql
INSERT INTO `jianshui_dev`.`sys_menu`( `menu_name`, `parent_id`, `order_num`, `path`, `component`, `query`, `is_frame`, `is_cache`, `menu_type`, `visible`, `status`, `perms`, `icon`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ('数电配置', 0, 10, 'digital', NULL, '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2021-12-09 16:18:41', 'admin', '2021-12-21 15:06:58', '数电配置目录');

-- 菜单 SQL
SELECT @parentId := LAST_INSERT_ID();
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('用户登记', @parentId, '1', 'registered', 'digital/registered/index', 1, 0, 'C', '0', '0', 'digital:registered:list', '#', 'admin', sysdate(), '', null, '用户登记菜单');

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('用户登记查询', @parentId, '1',  '#', '', 1, 0, 'F', '0', '0', 'digital:registered:query',        '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('用户登记新增', @parentId, '2',  '#', '', 1, 0, 'F', '0', '0', 'digital:registered:add',          '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('用户登记修改', @parentId, '3',  '#', '', 1, 0, 'F', '0', '0', 'digital:registered:edit',         '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('用户登记删除', @parentId, '4',  '#', '', 1, 0, 'F', '0', '0', 'digital:registered:remove',       '#', 'admin', sysdate(), '', null, '');

insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('用户登记导出', @parentId, '5',  '#', '', 1, 0, 'F', '0', '0', 'digital:registered:export',       '#', 'admin', sysdate(), '', null, '');

-- 登陆身份字典
INSERT INTO `jianshui_dev`.`sys_dict_data`(`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ( 1, '财务负责人', '1', 'login_dlsf', NULL, 'default', 'N', '0', 'admin', NOW(), '', NOW(), NULL);
INSERT INTO `jianshui_dev`.`sys_dict_data`(`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ( 2, '法定代表人', '2', 'login_dlsf', NULL, 'default', 'N', '0', 'admin', NOW(), '', NOW(), NULL);
INSERT INTO `jianshui_dev`.`sys_dict_data`(`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ( 3, '办税人', '3', 'login_dlsf', NULL, 'default', 'N', '0', 'admin', NOW(), '', NOW(), NULL);
INSERT INTO `jianshui_dev`.`sys_dict_data`(`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ( 4, '购票员', '4', 'login_dlsf', NULL, 'default', 'N', '0', 'admin', NOW(), '', NOW(), NULL);
INSERT INTO `jianshui_dev`.`sys_dict_data`(`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ( 5, '普通管理员', '5', 'login_dlsf', NULL, 'default', 'N', '0', 'admin', NOW(), '', NOW(), NULL);
INSERT INTO `jianshui_dev`.`sys_dict_data`(`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ( 6, '销售人员', '6', 'login_dlsf', NULL, 'default', 'N', '0', 'admin', NOW(), '', NOW(), NULL);
INSERT INTO `jianshui_dev`.`sys_dict_data`(`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ( 7, '开票员', '7', 'login_dlsf', NULL, 'default', 'N', '0', 'admin', NOW(), '', NOW(), NULL);
INSERT INTO `jianshui_dev`.`sys_dict_data`(`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ( 8, '其他', '99', 'login_dlsf', NULL, 'default', 'N', '0', 'admin', NOW(), '', NOW(), NULL);

--登陆方式字典
INSERT INTO `jianshui_dev`.`sys_dict_data`(`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ( 1, '证书登录', '1', 'login_dlfs', NULL, 'default', 'N', '0', 'admin', NOW(), '', NOW(), NULL);
INSERT INTO `jianshui_dev`.`sys_dict_data`(`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ( 2, '账密或中间号方式登录', '2', 'login_dlfs', NULL, 'default', 'N', '0', 'admin', NOW(), '', NOW(), NULL);
INSERT INTO `jianshui_dev`.`sys_dict_data`(`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ( 3, '自主授权', '3', 'login_dlfs', NULL, 'default', 'N', '0', 'admin', NOW(), '', NOW(), NULL);
INSERT INTO `jianshui_dev`.`sys_dict_data`(`dict_sort`, `dict_label`, `dict_value`, `dict_type`, `css_class`, `list_class`, `is_default`, `status`, `create_by`, `create_time`, `update_by`, `update_time`, `remark`) VALUES ( 4, '数电客户端', '4', 'login_dlfs', NULL, 'default', 'N', '0', 'admin', NOW(), '', NOW(), NULL);